<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>1. Hardware components &mdash; Spade 1.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />
      <link rel="stylesheet" type="text/css" href="_static/tabs.css?v=a5c4661c" />

  
    <link rel="shortcut icon" href="_static/Spade_icon_2.ico"/>
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=f2a433a1"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="2. Charging the battery" href="Battery.html" />
    <link rel="prev" title="Welcome to Spade’s documentation!" href="index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            Spade
              <img src="_static/Spade_icon_2.png" class="logo" alt="Logo"/>
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">1. Hardware components</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#preassembled-drone">1.1. Preassembled drone</a></li>
<li class="toctree-l2"><a class="reference internal" href="#custom-drone">1.2. Custom Drone</a></li>
<li class="toctree-l2"><a class="reference internal" href="#d-prints">1.3. 3D prints</a></li>
<li class="toctree-l2"><a class="reference internal" href="#next-steps">1.4. Next Steps</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="Battery.html">2. Charging the battery</a></li>
<li class="toctree-l1"><a class="reference internal" href="Flying.html">3. Flying</a></li>
<li class="toctree-l1"><a class="reference internal" href="RaspberryPi.html">4. Interacting with the Raspberry Pi</a></li>
<li class="toctree-l1"><a class="reference internal" href="Simulation.html">5. ROS2 node in simulation and reality</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Spade</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active"><span class="section-number">1. </span>Hardware components</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/Hardware.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="toctree-wrapper compound">
</div>
<section id="hardware-components">
<h1><span class="section-number">1. </span>Hardware components<a class="headerlink" href="#hardware-components" title="Link to this heading"></a></h1>
<section id="preassembled-drone">
<h2><span class="section-number">1.1. </span>Preassembled drone<a class="headerlink" href="#preassembled-drone" title="Link to this heading"></a></h2>
<a class="reference internal image-reference" href="_images/Assembled_drone.jpg"><img alt="Drone" class="align-center" src="_images/Assembled_drone.jpg" style="width: 400px;" /></a>
<p>If you bought the preassembled drone, you will still need to buy the following components to follow along with the tutorial.</p>
<ul class="simple">
<li><p>Battery</p></li>
<li><p>Charger</p></li>
</ul>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>The drone can be bought at this <a class="reference external" href="https://www.google.com/url?sa=t&amp;rct=j&amp;q=&amp;esrc=s&amp;source=web&amp;cd=&amp;cad=rja&amp;uact=8&amp;ved=2ahUKEwjW_MqEyfaDAxVmcvEDHTaxCDEQ3yx6BAgnEAI&amp;url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DdQw4w9WgXcQ&amp;usg=AOvVaw0aHtehaphMhOCAkCydRLZU&amp;opi=89978449">link/need to be changed!!!!</a>.</p>
</div>
</section>
<section id="custom-drone">
<h2><span class="section-number">1.2. </span>Custom Drone<a class="headerlink" href="#custom-drone" title="Link to this heading"></a></h2>
<p>If you did not buy the preassembled drone, you will in addition to the abovementioned components also need to buy the necessary components to build the drone.
The drone that this tutorial is based on uses the following components, so you can choose to buy those or other components of your own choice.</p>
<ul class="simple">
<li><p>Pixhawk 6c mini flight controller</p></li>
<li><p>PM06 v2 micro power module</p></li>
<li><p>Carbon fiber 250 airframe with hardware</p></li>
<li><p>motors 2207 KV 1950</p></li>
<li><p>5” Plastic props</p></li>
<li><p>M10 GPS</p></li>
<li><p>Fully assembled Power Management Board with ESCs(BLHeli S ESC 20A)</p></li>
<li><p>433MHz Telemetry Radio/ 915MHz Telemetry Radio</p></li>
<li><p>5.8G FPV Video Transmitter</p></li>
<li><p>Micro OSD V2</p></li>
<li><p>Foxeer Predator 5 Micro FPV Camera</p></li>
<li><p>Power and Radio Cables</p></li>
<li><p>Battery Straps</p></li>
<li><p>Battery observer</p></li>
<li><p>Remote Controller (we recommend Turnigy Evolution Pro)</p></li>
<li><p>Telemetry module</p></li>
</ul>
</section>
<section id="d-prints">
<h2><span class="section-number">1.3. </span>3D prints<a class="headerlink" href="#d-prints" title="Link to this heading"></a></h2>
<p>You can take a look at the 3D-prints in this <a class="reference external" href="https://github.com/Markus-Simonsen/Spade_docs/">repo</a>, these will follow along with the preassembled drone. If they break, or if you just want to build a drone from scratch, then you can just 3D-print them and attach them yourself.</p>
<div class="admonition error">
<p class="admonition-title">Error</p>
<p>insert picture of the relevant 3D-prints and where they fit</p>
</div>
</section>
<section id="next-steps">
<h2><span class="section-number">1.4. </span>Next Steps<a class="headerlink" href="#next-steps" title="Link to this heading"></a></h2>
<p>Next, now that the drone is assembled and ready. Let’s get the battery ready!</p>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="index.html" class="btn btn-neutral float-left" title="Welcome to Spade’s documentation!" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="Battery.html" class="btn btn-neutral float-right" title="2. Charging the battery" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Markus Simonsen.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>